Bug 1276485 - qemu: VM name can't contain '='
qemu: VM name can't contain '='
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Depends On:
  Show dependency treegraph
Reported: 2015-10-29 16:07 EDT by Dr. David Alan Gilbert
Modified: 2016-05-16 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-16 10:35:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dr. David Alan Gilbert 2015-10-29 16:07:30 EDT
Description of problem:
(I did this through virt-maanger)
If you create a VM with the name 'debug-threads=on'  it ends up running qemu with
   -name debug-threads=on

  which doesn't set the name, it just turns an option on.
  ends up with qemu failing to start complaining that --pool is unknown

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use virt-manager to create a vm
2. Give it a name like --pool=foo

Actual results:
qemu doesn't start

Expected results:
Either something rejects the name or it gets passed as -name guest=--pool=foo

Additional info:
  Note that -name foo  is equivalent to -name guest=foo
I added debug-threads=  about a year or so ago, and rewrote -name to use QemuOpts, but it's been able to take:  -name foo,process=bob    for a while before that.
Comment 1 Dr. David Alan Gilbert 2015-10-29 16:08:24 EDT
Oops, forgot to mention bz 1140121 is a request to get libvirt to have an easy way to turn debug-threads on, I just didn't mean this easy :-)
Comment 2 Cole Robinson 2016-04-22 18:47:44 EDT
Patches sent upstream:

Comment 3 Cole Robinson 2016-05-16 10:35:29 EDT
commit e3a685901965d21aae4def9399474dde1c7b7a89
Author: Cole Robinson <crobinso@redhat.com>
Date:   Fri Apr 22 18:39:09 2016 -0400

    qemu: command: Use -name guest= if available
    -name guest= is the explicit parameter for passing a VM name. Using
    it is required to allow a VM with an '=' in the name

Note You need to log in before you can comment on or make changes to this bug.